MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032049Community[OCCT] OCCT:Data Exchangepublic2021-01-11 19:242021-01-27 11:55
Reporterrobertlipman 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032049: Data Exchange - STEP file import problems
DescriptionI have three STEP files that cause import problems with CAD Assistant 1.5.0.2

Two of the files cannot be imported sp7_10_nx-242 and 'Parameter Test Part.stp'. I think I previously submitted the sp7 file as a problem.

The other file sp7_04_dx-242.stp can import correctly, but the part is not visible. The transparency is set to zero. I think I also submitted this file before because it could not be imported.

Other viewers (VariCAD, C3D Viewer, eDrawings) do not have problems importing and displaying the files.
Steps To Reproducetest bugs step bug32049
test bugs step bug32049_1
TagsNo tags attached.
Test case numberbugs/step/bug32049,bug32049_1
Attached Fileszip file icon OCC-errors.zip (1,684,006 bytes) 2021-01-11 19:24

- Relationships
related to 0032087verifiedbugmaster Data Exchange, STEPCAFControl_Reader - NULL representation of shape for DGT 

-  Notes
(0098182)
dpasukhi (developer)
2021-01-18 12:44
edited on: 2021-01-18 12:44

Branch CR32049 has been created by dpasukhi.

SHA-1: http://git.dev.opencascade.org/gitweb/?p=occt.git;a=shortlog;h=b0bf9d09570605cb59ffa8f73abd076dca2b7230 [^]


Detailed log of new commits:

Author: dpasukhi
Date: Sun, 17 Jan 2021 13:27:11 +0000 (16:27 +0300)

    0032049: Data Exchange - STEP file import problems

    - Added checking for null objects
    - Fixed problem with same names of layers:
        Each StepVisual_PresentationLayerAssignment has its own label,
          if its Representation has the Invisible parameter,
          else layers with same names sets to the same label

(0098251)
dpasukhi (developer)
2021-01-20 13:17

Branch CR32049 has been updated forcibly by dpasukhi.

SHA-1: http://git.dev.opencascade.org/gitweb/?p=occt.git;a=commit;h=d92c2651fdec7f2a6f2c317e4c47c58dbbe304be [^]
(0098252)
dpasukhi (developer)
2021-01-20 16:04

Branch CR32049_1 has been created by dpasukhi.

SHA-1: http://git.dev.opencascade.org/gitweb/?p=occt.git;a=commit;h=adf37dfa2edb4de2cee45296eeb8d399f19e40a1 [^]


Detailed log of new commits:

Author: dpasukhi
Date: Sun, 17 Jan 2021 13:27:11 +0000 (16:27 +0300)

    0032049: Data Exchange - STEP file import problems


    - Added checking for null objects
    - Added support to find layers according to visible attr
    - Fixed problem with same names of layers:
      Now, layers are grouped by names and visibility parameter
(0098261)
dpasukhi (developer)
2021-01-20 18:44

Branch CR32049_1 has been updated forcibly by dpasukhi.

SHA-1: http://git.dev.opencascade.org/gitweb/?p=occt.git;a=commit;h=061988888aeb7c4721e7fad794f6d584652146f6 [^]
(0098264)
dpasukhi (developer)
2021-01-20 19:32

Dear IKA,
 please review 32049_1.

The branch resolved problems with:

- Default parameters - "LIMITS_AND_FITS($,$,'G6',$)"
  Its leads to null object as a field of entity
  ( added check for null object )

- An undefined unit, as a field of DERIVED_UNIT_ELEMENT -
  (NAMED_UNIT(*)POWER_UNIT()SI_UNIT($,.WATT.))
  We don't use this unit, takes unit by default in this case.
  ( added check for null object )

- A sequence of PRESENTATION_LAYER_ASSIGNMENT with the same names.
  Layers within a group, united by a common name, can have different values
  for the visibility parameter.
  Its lead to undefined behavior of a placed label,
    if layers are not grouped by visibility.
  ( added new method for the adding new layer's label,
    that use a visibility parameter. Improved search method for correct merging
    of layers according to their names and their parameter )

Last forced update - remove the TODO script within improvement test cases

Test are OK, see:
http://occt-tests/CR32049-master-dpasukhi-Products/Debian80-64/diff_summary.html [^]
http://occt-tests/CR32049-master-dpasukhi-Products/Windows-64-VC14/diff_summary.html [^]
http://occt-tests/CR32049-master-dpasukhi-OCCT/Debian80-64/diff_summary.html [^]
( not OCCT windows yet )
(0098316)
dpasukhi (developer)
2021-01-21 17:35

Branch CR32049_1 has been updated forcibly by dpasukhi.

SHA-1: http://git.dev.opencascade.org/gitweb/?p=occt.git;a=commit;h=2090ecb25a825d46a9280e82da403ec6e864f12e [^]
(0098317)
ika (developer)
2021-01-21 17:40
edited on: 2021-01-21 17:41

No remarks.

Dear bugmaster,
please integrate.

OCCT - CR32049_1
Products - NOT

(0098330)
dpasukhi (developer)
2021-01-22 11:17
edited on: 2021-01-22 11:18

Branch CR32049_2 has been created by dpasukhi.

SHA-1: http://git.dev.opencascade.org/gitweb/?p=occt.git;a=commit;h=dd8399fcf7a624954bbb8f1fc36990a11992247f [^]


Detailed log of new commits:

Author: dpasukhi
Date: Sun, 17 Jan 2021 13:27:11 +0000 (16:27 +0300)

    0032049: Data Exchange - STEP file import problems

    - Added checking for null objects
    - Added support to find layers according to visible attr
    - Fixed problem with same names of layers:
      Now, layers are grouped by names and visibility parameter

(0098375)
bugmaster (administrator)
2021-01-23 12:50

Combination -
OCCT branch : IR-2021-01-22
master SHA - 8948e18df815e356c59a750bd2711cb4a7914cec
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2021-01-22 SHA - 7cb485e51cb439852e1e1e0726af89f51d6d6db0
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17720.020000000055 / 17721.200000000135 [-0.01%]
Products
Total CPU difference: 12428.380000000123 / 12412.630000000105 [+0.13%]
Windows-64-VC14:
OCCT
Total CPU difference: 19367.234375 / 19300.265625 [+0.35%]
Products
Total CPU difference: 13821.875 / 13740.03125 [+0.60%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

- Related Changesets
occt: master 96049f2e
Timestamp: 2021-01-17 13:27:11
Author: dpasukhi
Committer: bugmaster
Details ] Diff ]
0032049: Data Exchange - STEP file import problems

- Added checking for null objects
- Added support to find layers according to visible attr
- Fixed problem with same names of layers:
 Now, layers are grouped by names and visibility parameter
mod - src/STEPCAFControl/STEPCAFControl_GDTProperty.cxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Reader.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_LayerTool.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_LayerTool.hxx Diff ] File ]
add - tests/bugs/step/bug32049 Diff ] File ]
add - tests/bugs/step/bug32049_1 Diff ] File ]
mod - tests/de/step_1/A2 Diff ] File ]
mod - tests/de/step_1/A5 Diff ] File ]
mod - tests/de/step_1/C8 Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-01-11 19:24 robertlipman New Issue
2021-01-11 19:24 robertlipman Assigned To => gka
2021-01-11 19:24 robertlipman File Added: OCC-errors.zip
2021-01-11 19:31 kgv Target Version => 7.6.0*
2021-01-11 19:31 kgv Summary STEP file import problems => Data Exchange - STEP file import problems
2021-01-11 20:15 kgv Assigned To gka => dpasukhi
2021-01-11 22:39 dpasukhi Relationship added child of 0030024
2021-01-18 12:44 dpasukhi Note Added: 0098182
2021-01-18 12:44 dpasukhi Note Edited: 0098182 View Revisions
2021-01-18 12:45 dpasukhi Relationship deleted child of 0030024
2021-01-20 13:17 dpasukhi Note Added: 0098251
2021-01-20 16:04 dpasukhi Note Added: 0098252
2021-01-20 18:44 dpasukhi Note Added: 0098261
2021-01-20 19:32 dpasukhi Note Added: 0098264
2021-01-20 19:32 dpasukhi Assigned To dpasukhi => ika
2021-01-20 19:32 dpasukhi Status new => resolved
2021-01-20 19:32 dpasukhi Steps to Reproduce Updated View Revisions
2021-01-21 17:35 dpasukhi Note Added: 0098316
2021-01-21 17:40 ika Note Added: 0098317
2021-01-21 17:40 ika Assigned To ika => bugmaster
2021-01-21 17:40 ika Status resolved => reviewed
2021-01-21 17:41 ika Note Edited: 0098317 View Revisions
2021-01-22 11:17 dpasukhi Note Added: 0098330
2021-01-22 11:18 dpasukhi Note Edited: 0098330 View Revisions
2021-01-23 12:50 bugmaster Note Added: 0098375
2021-01-23 12:50 bugmaster Status reviewed => tested
2021-01-23 13:08 bugmaster Test case number => bugs/step/bug32049,bug32049_1
2021-01-23 14:14 bugmaster Changeset attached => occt master 96049f2e
2021-01-23 14:14 bugmaster Status tested => verified
2021-01-23 14:14 bugmaster Resolution open => fixed
2021-01-27 11:55 kgv Relationship added related to 0032087


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker